// pages/userlist/index.js
const api = require('../../../api/index.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
  userdata:[],
  tabsindex:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
 this.getuser()
  },  
getuser(){
  let data ={
    workorderType:3,
    settlementType:this.data.tabsindex,
    pageNum:1,
    pageSize:99
  }
  api.request(`/sysworkorder/selectworkorderlist`, 'post',data,{ isPublic: false })
  .then((data) => {
console.log(data.data);
if (data.code==200) {
  this.setData({
    userdata:data.data.list
  })
}
  })
  .catch((err) => {
    console.error('请求失败：', err);
  });
},
onTabsChange(e){
 console.log(e.detail.value);
 this.setData({
  tabsindex:e.detail.value
 })
 this.getuser()
},
details(e){
  wx.navigateTo({
  url: `/package-map/pages/map/index?id=${e.currentTarget.dataset.id}`,
})
},
  /**
   *
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  }, 

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})